/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\ml peerless\BlightGrippedLongbow.cs
Lines of code: 63
***********************************************************/


using System;
using Server.Items;

namespace Server.Items
{
	public class  BlightGrippedLongbowRecipe : BaseRecipe
	{
	
		[Constructable]
		public BlightGrippedLongbowRecipe()
		{		
		//InitRequirements();
		}
		
		
		//overrides:
		
		public override Type CraftedItem { get { return typeof(BlightGrippedLongbow); } }
		public override string artyname { get { return "Blight Gripped Longbow"; } }
		
		
	
		public override void InitRequirements()
		{
		base.InitRequirements(); //MUST be first! 
		
		//add required skills:
		
		RequiredSkills.Add(new ReqSkill(SkillName.Fletching,75));
		
		//add required resources		

		CommonResources.Add(new ReqRes("Boards",typeof(Board),20));		
		
		RareResources.Add(new ReqRes("Blight",typeof(Blight),10));			
		RareResources.Add(new ReqRes("Corruption",typeof(Corruption),10));		
		RareResources.Add(new ReqRes("Lard of Paroxysmus",typeof(LardOfParoxysmus),1));				
		}	

			
	
		public BlightGrippedLongbowRecipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
		
	}


	public class BlightGrippedLongbow : ElvenCompositeLongbow
	{
		public override int LabelNumber{ get{ return 1072907; } } // Blight Gripped Longbow

		[Constructable]
		public BlightGrippedLongbow()
		{
			Hue = 0x8A4;

			WeaponAttributes.HitPoisonArea = 20;
			Attributes.RegenStam = 3;
			Attributes.NightSight = 1;
			Attributes.WeaponSpeed = 20;
			Attributes.WeaponDamage = 35;
		}

		public BlightGrippedLongbow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}